pcl::gpu::people::PeopleDetector Class Reference

`#include </build/pcl-OilVEB/pcl-1.8.1+dfsg1/gpu/people/include/pcl/gpu/people/people_detector.h>`

## Public Types

typedef boost::shared_ptr< PeopleDetector > | Ptr
typedef pcl::PointXYZRGBA | PointTC
typedef pcl::PointXYZ | PointT
typedef DeviceArray2D< unsigned short > | Depth
typedef DeviceArray2D< pcl::RGB > | Image
typedef DeviceArray2D< unsigned char > | Labels
typedef DeviceArray2D< unsigned char > | Mask
typedef DeviceArray2D< float > | Hue

## Public Member Functions

| PeopleDetector ()
| Class constructor. More...
| ~PeopleDetector ()
| Class destructor. More...
void | setIntrinsics (float fx, float fy, float cx=-1, float cy=-1)
| User must set non standard intrinsics. More...
int | process (const PointCloud< PointTC >::ConstPtr &cloud)
| Possible will be removed because of extra overheads. More...
int | processProb (const PointCloud< PointTC >::ConstPtr &cloud)
int | process (const Depth &depth, const Image &rgba)
void | setDeltaHueTolerance (unsigned int delta_hue_tolerance)
| Set the tolerance for the delta on the Hue in Seeded Hue Segmentation step. More...
unsigned int | getDeltaHueTolerance () const
| Get the tolerance for the delta on the Hue in Seeded Hue Segmentation step, defaults to 5. More...
const std::string | getClassName () const
| Class getName method. More...
int | process ()
int | processProb ()
| Process the depth based on probabilities supporting tracking, person specific files used. More...
void | allocate_buffers (int rows=480, int cols=640)
void | shs5 (const pcl::PointCloud< PointT > &cloud, const std::vector< int > &indices, unsigned char *mask)

## Public Attributes

RDFBodyPartsDetector::Ptr | rdf_detector_
OrganizedPlaneDetector::Ptr | org_plane_detector_
FaceDetector::Ptr | face_detector_
PersonAttribs::Ptr | person_attribs_
ProbabilityProcessor::Ptr | probability_processor_
bool | first_iteration_
| indicates first time callback (allows for tracking features to start from second frame) More...
float | fx_
float | fy_
float | cx_
float | cy_
unsigned int | delta_hue_tolerance_
DeviceArray< unsigned char > | kernelRect5x5_
PointCloud< PointT > | cloud_host_
PointCloud< PointTC > | cloud_host_color_
PointCloud< float > | hue_host_
PointCloud< unsigned short > | depth_host_
PointCloud< unsigned char > | flowermat_host_
DeviceArray2D< PointT > | cloud_device_
Hue | hue_device_
Depth | depth_device1_
Depth | depth_device2_
Mask | fg_mask_
Mask | fg_mask_grown_

## Friends

class | PeoplePCDApp
| !! only for debug purposes TODO: remove this. More...

## Detailed Description

Definition at line 69 of file people_detector.h.

## Member Typedef Documentation

## Depth

typedef DeviceArray2D<unsigned short> pcl::gpu::people::PeopleDetector::Depth

Definition at line 76 of file people_detector.h.

## Hue

typedef DeviceArray2D<float> pcl::gpu::people::PeopleDetector::Hue

Definition at line 128 of file people_detector.h.

## Image

typedef DeviceArray2D<pcl::RGB> pcl::gpu::people::PeopleDetector::Image

Definition at line 77 of file people_detector.h.

## Labels

typedef DeviceArray2D<unsigned char> pcl::gpu::people::PeopleDetector::Labels

Definition at line 126 of file people_detector.h.

## Mask

typedef DeviceArray2D<unsigned char> pcl::gpu::people::PeopleDetector::Mask

Definition at line 127 of file people_detector.h.

## PointT

typedef pcl::PointXYZ pcl::gpu::people::PeopleDetector::PointT

Definition at line 75 of file people_detector.h.

## PointTC

typedef pcl::PointXYZRGBA pcl::gpu::people::PeopleDetector::PointTC

Definition at line 74 of file people_detector.h.

## Ptr

typedef boost::shared_ptr<PeopleDetector> pcl::gpu::people::PeopleDetector::Ptr

Definition at line 72 of file people_detector.h.

## Constructor & Destructor Documentation

## PeopleDetector()

pcl::gpu::people::PeopleDetector::PeopleDetector | ( |  | ) |

Class constructor.

## ~PeopleDetector()

pcl::gpu::people::PeopleDetector::~PeopleDetector | ( |  | ) |

inline

Class destructor.

Definition at line 93 of file people_detector.h.

## Member Function Documentation

## allocate_buffers()

void pcl::gpu::people::PeopleDetector::allocate_buffers | ( | int | rows = `480`,
|  | int | cols = `640`
| ) |  |

## getClassName()

const std::string pcl::gpu::people::PeopleDetector::getClassName | ( |  | ) | const

inline

Class getName method.

Definition at line 124 of file people_detector.h.

## getDeltaHueTolerance()

unsigned int pcl::gpu::people::PeopleDetector::getDeltaHueTolerance | ( |  | ) | const

inline

Get the tolerance for the delta on the Hue in Seeded Hue Segmentation step, defaults to 5.

Definition at line 118 of file people_detector.h.

## process() [1/3]

int pcl::gpu::people::PeopleDetector::process | ( | const PointCloud< PointTC >::ConstPtr & | cloud | ) |

Possible will be removed because of extra overheads.

## process() [2/3]

int pcl::gpu::people::PeopleDetector::process | ( | const Depth & | depth,
|  | const Image & | rgba
| ) |  |

## process() [3/3]

int pcl::gpu::people::PeopleDetector::process | ( |  | ) |

## processProb() [1/2]

int pcl::gpu::people::PeopleDetector::processProb | ( | const PointCloud< PointTC >::ConstPtr & | cloud | ) |

## processProb() [2/2]

int pcl::gpu::people::PeopleDetector::processProb | ( |  | ) |

Process the depth based on probabilities supporting tracking, person specific files used.

## setDeltaHueTolerance()

void pcl::gpu::people::PeopleDetector::setDeltaHueTolerance | ( | unsigned int | delta_hue_tolerance | ) |

inline

Set the tolerance for the delta on the Hue in Seeded Hue Segmentation step.

Definition at line 111 of file people_detector.h.

## setIntrinsics()

void pcl::gpu::people::PeopleDetector::setIntrinsics | ( | float | fx,
|  | float | fy,
|  | float | cx = `-1`,
|  | float | cy = `-1`
| ) |  |

User must set non standard intrinsics.

## shs5()

void pcl::gpu::people::PeopleDetector::shs5 | ( | const pcl::PointCloud< PointT > & | cloud,
|  | const std::vector< int > & | indices,
|  | unsigned char * | mask
| ) |  |

## Friends And Related Function Documentation

## PeoplePCDApp

friend class PeoplePCDApp

friend

!! only for debug purposes TODO: remove this.

Definition at line 169 of file people_detector.h.

## Member Data Documentation

## cloud_device_

DeviceArray2D<PointT> pcl::gpu::people::PeopleDetector::cloud_device_

Definition at line 143 of file people_detector.h.

## cloud_host_

PointCloud<PointT> pcl::gpu::people::PeopleDetector::cloud_host_

Definition at line 137 of file people_detector.h.

## cloud_host_color_

PointCloud<PointTC> pcl::gpu::people::PeopleDetector::cloud_host_color_

Definition at line 138 of file people_detector.h.

## cx_

float pcl::gpu::people::PeopleDetector::cx_

Definition at line 132 of file people_detector.h.

## cy_

float pcl::gpu::people::PeopleDetector::cy_

Definition at line 132 of file people_detector.h.

## delta_hue_tolerance_

unsigned int pcl::gpu::people::PeopleDetector::delta_hue_tolerance_

Definition at line 133 of file people_detector.h.

## depth_device1_

Depth pcl::gpu::people::PeopleDetector::depth_device1_

Definition at line 147 of file people_detector.h.

## depth_device2_

Depth pcl::gpu::people::PeopleDetector::depth_device2_

Definition at line 148 of file people_detector.h.

## depth_host_

PointCloud<unsigned short> pcl::gpu::people::PeopleDetector::depth_host_

Definition at line 140 of file people_detector.h.

## face_detector_

FaceDetector::Ptr pcl::gpu::people::PeopleDetector::face_detector_

Definition at line 82 of file people_detector.h.

## fg_mask_

Mask pcl::gpu::people::PeopleDetector::fg_mask_

Definition at line 150 of file people_detector.h.

## fg_mask_grown_

Mask pcl::gpu::people::PeopleDetector::fg_mask_grown_

Definition at line 151 of file people_detector.h.

## first_iteration_

bool pcl::gpu::people::PeopleDetector::first_iteration_

indicates first time callback (allows for tracking features to start from second frame)

Definition at line 131 of file people_detector.h.

## flowermat_host_

PointCloud<unsigned char> pcl::gpu::people::PeopleDetector::flowermat_host_

Definition at line 141 of file people_detector.h.

## fx_

float pcl::gpu::people::PeopleDetector::fx_

Definition at line 132 of file people_detector.h.

## fy_

float pcl::gpu::people::PeopleDetector::fy_

Definition at line 132 of file people_detector.h.

## hue_device_

Hue pcl::gpu::people::PeopleDetector::hue_device_

Definition at line 145 of file people_detector.h.

## hue_host_

PointCloud<float> pcl::gpu::people::PeopleDetector::hue_host_

Definition at line 139 of file people_detector.h.

## kernelRect5x5_

DeviceArray<unsigned char> pcl::gpu::people::PeopleDetector::kernelRect5x5_

Definition at line 135 of file people_detector.h.

## org_plane_detector_

OrganizedPlaneDetector::Ptr pcl::gpu::people::PeopleDetector::org_plane_detector_

Definition at line 81 of file people_detector.h.

## person_attribs_

PersonAttribs::Ptr pcl::gpu::people::PeopleDetector::person_attribs_

Definition at line 86 of file people_detector.h.

## probability_processor_

ProbabilityProcessor::Ptr pcl::gpu::people::PeopleDetector::probability_processor_

Definition at line 87 of file people_detector.h.

## rdf_detector_

RDFBodyPartsDetector::Ptr pcl::gpu::people::PeopleDetector::rdf_detector_

Definition at line 80 of file people_detector.h.

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/gpu/people/include/pcl/gpu/people/people_detector.h